package cn.superdesk.uniorder.service.operationCenter.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOrderTransactionLog;
import cn.superdesk.uniorder.dao.mapper.operationCenter.OperationCenterOrderTransactionLogMapper;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderTransactionLogVo;
import cn.superdesk.uniorder.service.operationCenter.OperationCenterOrderTransactionLogService;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/4/27 11:30
 * Description :
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class OperationCenterOrderTransactionLogServiceImpl implements OperationCenterOrderTransactionLogService {

    private final OperationCenterOrderTransactionLogMapper operationCenterOrderTransactionLogMapper;


    @Override
    public int insertSelective(OperationCenterOrderTransactionLog operationCenterOrderTransactionLog) {
        return operationCenterOrderTransactionLogMapper.insertSelective(operationCenterOrderTransactionLog);
    }

    @Override
    public int updateByPrimaryKeySelective(OperationCenterOrderTransactionLog operationCenterOrderTransactionLog) {
        return operationCenterOrderTransactionLogMapper.updateByPrimaryKeySelective(operationCenterOrderTransactionLog);
    }

    @Override
    public void deleteObj(Long id) {

    }

    @Override
    public OperationCenterOrderTransactionLog findById(Long id) {
        return operationCenterOrderTransactionLogMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<OperationCenterOrderTransactionLog> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public PageInfo<OperationCenterOrderTransactionLog> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }

    @Override
    public List<OperationCenterOrderTransactionLogVo> getOrderTransactionListByOrderSn(String bizPlatformCode, String orderSn) {
        return operationCenterOrderTransactionLogMapper.getOrderTransactionListByOrderSn(bizPlatformCode,orderSn);
    }
}
